%global checkout 91c0c8c
%define rel 8

Name:               fcoe-utils
Version:            1.0.30
Release:            %mkrel %{rel}%{?checkout:.git%{checkout}}
Summary:            Fibre Channel over Ethernet utilities
Group:              System/Networking
License:            GPLv2
URL:                http://www.open-fcoe.org
# git://open-fcoe.org/fcoe/fcoe-utils.git
Source0:            %{name}-%{version}.tar.gz
Source1:            quickstart.txt
Source2:            fcoe.service
Source3:            fcoe.config
ExcludeArch:        ppc s390
Patch1:             fcoe-utils-v1.0.30-1-fcoemon-Rework-daemonizing-and-error-handling.patch
Patch2:             fcoe-utils-v1.0.30-2-fcoemon-fix-IEEE-state-machine.patch
Patch3:             fcoe-utils-v1.0.30-3-sanmac-isn-t-required.patch
Patch4:             fcoe-utils-v1.0.30-fcoeadm-fix-display-when-some-netdevs-don-t-have-ser.patch
BuildRequires:      autoconf
BuildRequires:      automake
BuildRequires:      libhbaapi-devel >= 2.2.9-6
BuildRequires:      libhbalinux-devel >= 1.0.17-1
BuildRequires:      libtool
BuildRequires:      lldpad-devel >= 0.9.43
BuildRequires:      systemd
# for macro definition:
BuildRequires:  systemd-devel
Requires:           lldpad >= 0.9.43
Requires:           %{_lib}hbalinux2 >= 1.0.17
Requires:           iproute2
Requires:           multipath-tools
Requires(post):     systemd
Requires(preun):    systemd
Requires(postun):   systemd

%description
Fibre Channel over Ethernet utilities
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with lldpad

%prep
%autosetup -p1
cp -v %{SOURCE1} quickstart.txt

%build
./bootstrap.sh
%configure2_5x
%make_build

%install
%make_install
rm -rf %{buildroot}/etc/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig %{buildroot}%{_unitdir}
rm -f %{buildroot}%{_unitdir}/*
install -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/fcoe
mkdir -p %{buildroot}%{_libexecdir}/fcoe
for file in \
    contrib/*.sh \
    debug/*sh
    do install -m 755 ${file} %{buildroot}%{_libexecdir}/fcoe/
done
# We supply our own config for fcoe.service
rm -f %{buildroot}/%{_sysconfdir}/fcoe/config

%post
%systemd_post fcoe.service

%preun
%systemd_preun fcoe.service

%postun
%systemd_postun_with_restart fcoe.service

%files
%license COPYING
%doc README QUICKSTART quickstart.txt
%{_sbindir}/*
%{_mandir}/man8/*
%{_unitdir}/fcoe.service
%{_sysconfdir}/fcoe/
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%config(noreplace) %{_sysconfdir}/sysconfig/fcoe
%{_sysconfdir}/bash_completion.d/*
%{_libexecdir}/fcoe/



%changelog
* Sun Oct 16 2016 tv <tv> 1.0.30-8.git91c0c8c.mga6
+ Revision: 1061156
- BR systemd-devel for macro definition (mga#12027)

* Thu May 12 2016 ngompa <ngompa> 1.0.30-7.git91c0c8c.mga6
+ Revision: 1014082
- Fix runtime dependencies

* Sun May 08 2016 ngompa <ngompa> 1.0.30-6.git91c0c8c.mga6
+ Revision: 1010955
- imported package fcoe-utils

